﻿#Region "Copyright Syncfusion Inc. 2001 - 2013"
' Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports Syncfusion.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools
Imports System.Globalization

Namespace LocalizationDemo
	Friend Class Localizer
		Implements ILocalizationProvider

		Private CustomCulture As CultureInfo
		#Region "ILocalizationProvider Members"
		Public Sub New()

		End Sub
		Public Sub New(ByVal choosenCulture As CultureInfo)
			CustomCulture = choosenCulture
		End Sub
		Private Function ILocalizationProvider_GetLocalizedString(culture As CultureInfo, name As String, ctrl As Object) As String Implements ILocalizationProvider.GetLocalizedString
			'Arabic language
			If Me.CustomCulture IsNot Nothing AndAlso Me.CustomCulture.Name = "ar" Then
				Select Case name
'					#Region "Menu Package"
					Case ToolsResourceIdentifiers.MoreButtonsItemsText
						Return "عرض المزيد من الأزرار"
					Case ToolsResourceIdentifiers.FewerButtonsItemsText
						Return "إظهار أزرار أقل"
					Case ResourceIdentifiers.GroupBarAddRemoveButton
						Return "إضافة أو إزالة الأزرار"
						'					#End Region

					Case Else
						Return String.Empty
				End Select
			End If
			Return String.Empty
		End Function
#End Region
	End Class
End Namespace
